## freedroidrpg 0.11.1

=== CMakeLists.txt ===
# Project/Package Information
PROJECT(FreedroidRPG)
SET(PACKAGE freedroidrpg)
SET(PACKAGE_NAME ${PROJECT_NAME})
SET(PACKAGE_VERSION_MAJOR 0)
SET(PACKAGE_VERSION_MINOR 11)
SET(PACKAGE_VERSION_PATCH 1)
SET(PACKAGE_VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}")

# Initialize CMake
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5 FATAL_ERROR)
MARK_AS_ADVANCED(CMAKE_BACKWARDS_COMPATIBILITY)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include")
MARK_AS_ADVANCED(CLEAR CMAKE_VERBOSE_MAKEFILE)
SET(EXECUTABLE_OUTPUT_PATH "" CACHE INTERNAL "Where to put built executables")
SET(LIBRARY_OUTPUT_PATH "" CACHE INTERNAL "Where to put built libraries")
INCLUDE(CMakeDetermineRCCompiler)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckIncludeFile)

# Ensure out of source build
STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource)
IF(insource)
	MESSAGE(SEND_ERROR "---- ${PACKAGE_NAME} requires an out of source build ----")
	MESSAGE("Please create a separate build directory and run cmake from there instead.")
	MESSAGE("NB: The build directory must not be a subdirectory of the source directory unless it is named 'build'")
	MESSAGE(FATAL_ERROR "---- ${PACKAGE_NAME} requires an out of source build ----")
ENDIF(insource)

# User Options
OPTION(ENABLE_OPENGL          "Use OpenGL (recommended)"                                          ON)
OPTION(ENABLE_SOUND           "Enable sound support"                                              ON)
OPTION(ENABLE_NLS             "Enable Native Language Support (for non-english interface)"        ON)
OPTION(ENABLE_TOOLS           "Build and install additional development tools"                    ON)
OPTION(ENABLE_BACKTRACE       "Use backtrace() to generate nice bug reports (recommended)"        ON)
OPTION(ENABLE_EXTRA_WARNINGS  "Generate more warning messages when compiling"                     OFF)
OPTION(ENABLE_FAST_MATH       "Compile with -ffast-math (faster game, but might cause trouble)."  ON)

# Required Packages
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(JPEG REQUIRED)
FIND_PACKAGE(SDL 1.2.3 REQUIRED)
FIND_PACKAGE(SDL_image REQUIRED)
SET(INCLUDE_DIRS ${PNG_INCLUDE_DIR} ${JPEG_INCLUDE_DIR} ${SDL_INCLUDE_DIR} ${SDLIMAGE_INCLUDE_DIR})
SET(LINK_LIBRARIES ${PNG_LIBRARIES} ${JPEG_LIBRARIES} ${SDL_LIBRARY} ${SDLIMAGE_LIBRARY})
SET(DEBIAN_PACKAGE_DEPENDS "libpng12-0, libjpeg62, libsdl1.2debian, libsdl-image1.2")
SET(WIN32_PACKAGE_DLLS "zlib1.dll" "libpng12-*.dll" "libjpeg-*.dll" "SDL.dll" "SDL_image.dll")

# Required Packages for OpenGL
IF(ENABLE_OPENGL)
	FIND_PACKAGE(OpenGL REQUIRED)
	SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${OPENGL_INCLUDE_DIR})
	SET(LINK_LIBRARIES ${LINK_LIBRARIES} ${OPENGL_LIBRARIES})
	SET(DEBIAN_PACKAGE_DEPENDS "${DEBIAN_PACKAGE_DEPENDS}, libgl1-mesa-glx | libgl1")
ENDIF(ENABLE_OPENGL)

# Required Packages for Sound Support
IF(ENABLE_SOUND)
	FIND_PACKAGE(OggVorbis REQUIRED)
	FIND_PACKAGE(SDL_mixer REQUIRED)
	SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${OGGVORBIS_INCLUDE_DIR} ${SDLMIXER_INCLUDE_DIR})
	SET(LINK_LIBRARIES ${LINK_LIBRARIES} ${OGGVORBIS_LIBRARIES} ${SDLMIXER_LIBRARY})
	SET(DEBIAN_PACKAGE_DEPENDS "${DEBIAN_PACKAGE_DEPENDS}, libogg, libvorbis0a, libsdl-mixer-1.2")
	SET(WIN32_PACKAGE_DLLS ${WIN32_PACKAGE_DLLS} "libogg-*.dll" "libvorbis-*.dll" "SDL_mixer.dll")
ENDIF(ENABLE_SOUND)

# Required Packages for NLS
IF(ENABLE_NLS)
	FIND_PACKAGE(Gettext REQUIRED)
	SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${GETTEXT_INCLUDE_DIR})
	SET(LINK_LIBRARIES ${LINK_LIBRARIES} ${GETTEXT_LIBRARIES})
	SET(WIN32_PACKAGE_DLLS ${WIN32_PACKAGE_DLLS} "libiconv-*.dll" "libintl-*.dll")
ENDIF(ENABLE_NLS)

# Required Packages for the Development Tools
IF(ENABLE_TOOLS)
	SET(QT_MIN_VERSION "4.3.0")
	FIND_PACKAGE(Qt4)
	IF(QT4_FOUND)
		SET(DEBIAN_PACKAGE_DEPENDS "${DEBIAN_PACKAGE_DEPENDS}, libqt4-core, libqt4-gui")
		SET(WIN32_PACKAGE_DLLS ${WIN32_PACKAGE_DLLS} "mingwm10.dll" "QtCore4.dll" "QtGui4.dll")
	ENDIF(QT4_FOUND)
ENDIF(ENABLE_TOOLS)

# System Information
CHECK_FUNCTION_EXISTS(alphasort HAVE_ALPHASORT)
CHECK_FUNCTION_EXISTS(scandir HAVE_SCANDIR)
CHECK_INCLUDE_FILE(dirent.h HAVE_DIRENT_H)
CHECK_INCLUDE_FILE(execinfo.h HAVE_EXECINFO_H)
CHECK_INCLUDE_FILE(fcntl.h HAVE_FCNTL_H)
CHECK_INCLUDE_FILE(locale.h HAVE_LOCALE_H)
CHECK_INCLUDE_FILE(signal.h HAVE_SIGNAL_H)
CHECK_INCLUDE_FILE(stdlib.h HAVE_STDLIB_H)
CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
CHECK_INCLUDE_FILE(string.h HAVE_STRING_H)
CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILE(sys/ioctl.h HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILE(sys/soundcard.h HAVE_SYS_SOUNDCARD_H)
CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE(time.h HAVE_TIME_H)
CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(libintl.h HAVE_LIBINTL_H)
CHECK_INCLUDE_FILE(libgen.h HAVE_LIBGEN_H)

# Optional Features
IF(ENABLE_BACKTRACE)
	CHECK_FUNCTION_EXISTS(backtrace HAVE_BACKTRACE)
ENDIF(ENABLE_BACKTRACE)

# Optional Features (Deprecated)
SET(HAVE_LIBGL ${OPENGL_FOUND})
SET(HAVE_LIBSDL_MIXER ${SDLMIXER_FOUND})

# Create config.h
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/cmake/config.h.in
			   ${CMAKE_BINARY_DIR}/config.h)

# Compilation Profiles and Optimizations
IF(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: Profile Debug RelWithDebInfo Release MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF(CMAKE_COMPILER_IS_GNUCC)
	# C compiler is GCC derivative
	SET(CMAKE_C_FLAGS_PROFILE          "-g3 -ggdb -fno-inline -pg -ftest-coverage -fprofile-arcs")
	SET(CMAKE_C_FLAGS_DEBUG            "-g3 -ggdb -fno-inline")
	SET(CMAKE_C_FLAGS_RELWITHDEBINFO   "-O2 -g")
	SET(CMAKE_C_FLAGS_RELEASE          "-O2")
	SET(CMAKE_C_FLAGS_MINSIZEREL       "-Os")

	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
	IF(ENABLE_EXTRA_WARNINGS)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Waggregate-return -Wnested-externs -fno-common")
	ENDIF(ENABLE_EXTRA_WARNINGS)
	IF(ENABLE_FAST_MATH)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffast-math")
	ENDIF(ENABLE_FAST_MATH)
ENDIF(CMAKE_COMPILER_IS_GNUCC)
IF(CMAKE_COMPILER_IS_GNUCXX)
	# C++ compiler is G++ derivative
	SET(CMAKE_CXX_FLAGS_PROFILE          "-g3 -ggdb -fno-inline -pg -ftest-coverage -fprofile-arcs")
	SET(CMAKE_CXX_FLAGS_DEBUG            "-g3 -ggdb -fno-inline")
	SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO   "-O2 -g")
	SET(CMAKE_CXX_FLAGS_RELEASE          "-O2")
	SET(CMAKE_CXX_FLAGS_MINSIZEREL       "-Os")
	
	# Compilation flags
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
	IF(ENABLE_EXTRA_WARNINGS)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Waggregate-return -Wnested-externs -fno-common")
	ENDIF(ENABLE_EXTRA_WARNINGS)
	IF(ENABLE_FAST_MATH)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffast-math")
	ENDIF(ENABLE_FAST_MATH)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)
# ToDo: Add support for non-gcc compilers

# Platform Specefic Paths
IF(WIN32)
	SET(BINDIR ".")
	SET(LIBDIR ".")
	SET(DATADIR ".")
	ADD_DEFINITIONS(-DFD_DATADIR='"."')
ELSE(WIN32)
	SET(BINDIR "bin")
	SET(LIBDIR "lib")
	SET(DATADIR "share/${PACKAGE}")
	ADD_DEFINITIONS(-DFD_DATADIR='"${CMAKE_INSTALL_PREFIX}/${DATADIR}"')
ENDIF(WIN32)

# Do the subdirectories
ADD_SUBDIRECTORY(win32)
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(croppy)
ADD_SUBDIRECTORY(gluem)
ADD_SUBDIRECTORY(archetypeeditor)

# Install Datafiles
INSTALL(DIRECTORY dialogs graphics map sound
		DESTINATION "${DATADIR}"
		PATTERN "CVS" EXCLUDE
		PATTERN "*.blend" EXCLUDE
		PATTERN "*.py" EXCLUDE
		PATTERN "*~" EXCLUDE
		PATTERN ".#*" EXCLUDE
	   )

# Install DLLs (Win32 Only)
IF(WIN32)
	IF(CMAKE_CROSSCOMPILING)
		EXEC_PROGRAM(find ARGS ${CMAKE_FIND_ROOT_PATH} -type d -iname 'bin' OUTPUT_VARIABLE BIN_DIRS)
		EXEC_PROGRAM(find ARGS ${CMAKE_FIND_ROOT_PATH} -type d -iname 'lib' OUTPUT_VARIABLE LIB_DIRS)
		STRING(REPLACE "\n" ";" DIRS "${BIN_DIRS};${LIB_DIRS}")
	ENDIF(CMAKE_CROSSCOMPILING)
	SET(DLLS)
	FOREACH(GLOB ${WIN32_PACKAGE_DLLS})
		SET(FILES)
		IF(CMAKE_CROSSCOMPILING)
			FOREACH(DIR ${DIRS})
				FILE(TO_CMAKE_PATH "${DIR}" DIR)
				FILE(GLOB FILE "${DIR}/${GLOB}")
				SET(FILES ${FILES} ${FILE})
			ENDFOREACH(DIR $ENV{PATH} $ENV{LIB})
		ELSE(CMAKE_CROSSCOMPILING)
			FOREACH(DIR $ENV{PATH} $ENV{LIB})
				FILE(TO_CMAKE_PATH "${DIR}" DIR)
				FILE(GLOB FILE "${DIR}/${GLOB}")
				SET(FILES ${FILES} ${FILE})
			ENDFOREACH(DIR $ENV{PATH} $ENV{LIB})
		ENDIF(CMAKE_CROSSCOMPILING)
		LIST(GET FILES 0 DLL)
		IF(EXISTS ${DLL})
			SET(DLLS ${DLLS} ${DLL})
		ENDIF(EXISTS ${DLL})
	ENDFOREACH(GLOB ${GLOBS})
	INSTALL(FILES ${DLLS} DESTINATION ${LIBDIR})
ENDIF(WIN32)

# Set CMAKE_SYSTEM_ARCHITECTURE in addition to CMAKE_SYSTEM_PROCESSOR.
# This realy should be pushed upstream to CMakeDetermineSystem.cmake
IF(NOT CMAKE_SYSTEM_ARCHITECTURE)
	IF(UNIX AND CMAKE_UNAME)
		EXEC_PROGRAM(${CMAKE_UNAME} ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_ARCHITECTURE RETURN_VALUE val)
		IF("${val}" GREATER 0)
			SET(CMAKE_SYSTEM_ARCHITECTURE "${CMAKE_SYSTEM_PROCESSOR}")
		ENDIF("${val}" GREATER 0)
		SET(CMAKE_UNAME ${CMAKE_UNAME} CACHE INTERNAL "uname command")
	ELSE(UNIX AND CMAKE_UNAME)
	SET(CMAKE_SYSTEM_ARCHITECTURE "${CMAKE_SYSTEM_PROCESSOR}")
	ENDIF(UNIX AND CMAKE_UNAME)
ENDIF(NOT CMAKE_SYSTEM_ARCHITECTURE)

# Packaging Support
INCLUDE(InstallRequiredSystemLibraries)
SET(CPACK_PACKAGE_NAME ${PACKAGE_NAME})
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "${PACKAGE_NAME} is a free isometric RPG game inspired by elements of Diablo and Fallout.")
SET(CPACK_PACKAGE_VENDOR "freedroid.org")
SET(CPACK_PACKAGE_CONTACT "freedroid-discussion@lists.sourceforge.net")
SET(CPACK_PACKAGE_VERSION_MAJOR "${PACKAGE_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${PACKAGE_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${PACKAGE_VERSION_PATCH}")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${PACKAGE_NAME} ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}")
SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_ARCHITECTURE})
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE_NAME}-${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}")
SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")
SET(CPACK_SOURCE_IGNORE_FILES "/build/;/CVS/;.*~;/\\\\.#")
IF(UNIX)
	# All UNIX platforms, including Mac OS X and Cygwin.
	SET(CPACK_GENERATOR TBZ2)
	SET(CPACK_SOURCE_GENERATOR TBZ2)
	IF(APPLE)
		SET(CPACK_GENERATOR PackageMaker)
	ELSEIF(CYGWIN)
		SET(CPACK_GENERATOR CygwinBinary)
		SET(CPACK_SOURCE_GENERATOR TBZ2;CygwinSource)
	ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
		IF(CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MINOR_VERSION GREATER 4)
			SET(DEBIAN_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_ARCHITECTURE})
			IF(DEBIAN_PACKAGE_ARCHITECTURE MATCHES "x86_64")
				SET(DEBIAN_PACKAGE_ARCHITECTURE "AMD64")
			ELSEIF(DEBIAN_PACKAGE_ARCHITECTURE MATCHES "i[1-8]86" OR DEBIAN_PACKAGE_ARCHITECTURE MATCHES "x86")
				SET(DEBIAN_PACKAGE_ARCHITECTURE "i386")
			ENDIF(DEBIAN_PACKAGE_ARCHITECTURE MATCHES "x86_64")
			SET(CPACK_GENERATOR TBZ2;DEB)
		ENDIF(CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MINOR_VERSION GREATER 4)
	ENDIF(APPLE)
	SET(CPACK_STRIP_FILES "${BINDIR}/freedroidrpg" "${BINDIR}/croppy" "${BINDIR}/gluem")
	SET(CPACK_SOURCE_STRIP_FILES)
ELSE(UNIX)
	# Windows (MSYS and Native)
	IF(CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MINOR_VERSION GREATER 4)
		SET(CPACK_SOURCE_GENERATOR ZIP)
		SET(CPACK_GENERATOR ZIP;NSIS)
	ELSE(CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MINOR_VERSION GREATER 4)
		SET(CPACK_SOURCE_GENERATOR TBZ2)
		SET(CPACK_GENERATOR TBZ2;NSIS)
	ENDIF(CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MINOR_VERSION GREATER 4)
	SET(CPACK_PACKAGE_EXECUTABLES "..\\\\freedroidrpg;${PACKAGE_NAME}")

=== archetypeeditor/CMakeLists.txt ===
IF(ENABLE_TOOLS AND QT4_FOUND)
	INCLUDE_DIRECTORIES(${QT_INCLUDES})
	ADD_DEFINITIONS(${QT_DEFINITIONS})

	FILE(GLOB FDAE_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)
	FILE(GLOB FDAE_HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
	FILE(GLOB FDAE_INTERFACES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.ui)
	FILE(GLOB FDAE_RESOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qrc)
	LIST(REMOVE_ITEM FDAE_HEADERS "singlelinenode.h")
	QT4_WRAP_CPP(FDAE_MOC_SOURCES ${FDAE_HEADERS})
	QT4_WRAP_UI(FDAE_UI_SOURCES ${FDAE_INTERFACES})
	QT4_ADD_RESOURCES(FDAE_QRC_SOURCES ${FDAE_RESOURCES})

	IF(CMAKE_BUILD_TYPE MATCHES "Release" OR CMAKE_BUILD_TYPE MATCHES "MinSizeRel")
		ADD_DEFINITIONS(-DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT)
	ENDIF(CMAKE_BUILD_TYPE MATCHES "Release" OR CMAKE_BUILD_TYPE MATCHES "MinSizeRel")

	ADD_EXECUTABLE(archetypeeditor WIN32 ${FDAE_SOURCES} ${FDAE_MOC_SOURCES} ${FDAE_UI_SOURCES} ${FDAE_QRC_SOURCES})
	TARGET_LINK_LIBRARIES(archetypeeditor ${QT_LIBRARIES})
	IF(WIN32)
		SET_TARGET_PROPERTIES(archetypeeditor PROPERTIES LINK_FLAGS "../win32/archetypeeditor.coff")
		ADD_DEPENDENCIES(archetypeeditor resources)
	ENDIF(WIN32)
	
	INSTALL(TARGETS archetypeeditor DESTINATION ${BINDIR})
ENDIF(ENABLE_TOOLS AND QT4_FOUND)

=== croppy/CMakeLists.txt ===
IF(ENABLE_TOOLS AND NOT WIN32)
	INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} ${INCLUDE_DIRS})
	FILE(GLOB CROPPY_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)
	ADD_EXECUTABLE(croppy ${CROPPY_SOURCES})
	TARGET_LINK_LIBRARIES(croppy ${LINK_LIBRARIES})
	INSTALL(TARGETS croppy DESTINATION ${BINDIR})
ENDIF(ENABLE_TOOLS AND NOT WIN32)

=== po/CMakeLists.txt ===
IF(ENABLE_NLS)
	SET(MO_FILES)
	FILE(GLOB LANGUAGES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} [a-z][a-z][_-]*)
	FOREACH(LANG ${LANGUAGES})
		FILE(GLOB_RECURSE PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${LANG}/*.po)
		FOREACH(PO_FILE ${PO_FILES})
			GET_FILENAME_COMPONENT(DIR ${PO_FILE} PATH)
			GET_FILENAME_COMPONENT(MO_FILE ${PO_FILE} NAME_WE)
			SET(MO_FILE ${DIR}/${MO_FILE}.mo)
			ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${MO_FILE}
                            COMMAND ${CMAKE_COMMAND} -D DIR=${CMAKE_CURRENT_BINARY_DIR}/${DIR} -P ${CMAKE_MODULE_PATH}/mkdir.cmake
							COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/${MO_FILE}
																	${CMAKE_CURRENT_SOURCE_DIR}/${PO_FILE}
							DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${PO_FILE}
							)
			LIST(APPEND MO_FILES ${CMAKE_CURRENT_BINARY_DIR}/${MO_FILE})
			INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MO_FILE} DESTINATION ${DATADIR}/locale/${DIR})
		ENDFOREACH(PO_FILE ${PO_FILES})
	ENDFOREACH(LANG ${LANGUAGES})
	ADD_CUSTOM_TARGET(translations ALL DEPENDS ${MO_FILES})
ENDIF(ENABLE_NLS)

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} ${INCLUDE_DIRS})
FILE(GLOB FDRPG_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)
ADD_CUSTOM_COMMAND(
       OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/savestruct.c ${CMAKE_CURRENT_SOURCE_DIR}/savestruct.h
       COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/gen_savestruct.py ${CMAKE_CURRENT_SOURCE_DIR}/struct.h ${CMAKE_CURRENT_SOURCE_DIR}/savestruct
       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/struct.h
       )
ADD_EXECUTABLE(freedroidRPG WIN32 ${FDRPG_SOURCES} savestruct.c savestruct.h)
TARGET_LINK_LIBRARIES(freedroidRPG ${LINK_LIBRARIES})
IF(WIN32)
	SET_TARGET_PROPERTIES(freedroidRPG PROPERTIES LINK_FLAGS "../win32/freedroidrpg.coff")
	ADD_DEPENDENCIES(freedroidRPG resources)
ENDIF(WIN32)
INSTALL(TARGETS freedroidRPG DESTINATION ${BINDIR})

=== win32/CMakeLists.txt ===
IF(CMAKE_CROSSCOMPILING)
	SET(IMPORT_EXECUTABLES "IMPORTFILE-NOTFOUND" CACHE FILEPATH "Point it to the export file from a native build")
	INCLUDE(${IMPORT_EXECUTABLES})
	SET(PNG2ICO_COMMAND png2ico)
ELSE(CMAKE_CROSSCOMPILING)
	INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
	ADD_EXECUTABLE(png2ico EXCLUDE_FROM_ALL png2ico.cpp)
	TARGET_LINK_LIBRARIES(png2ico ${PNG_LIBRARIES})
	SET(PNG2ICO_COMMAND ./png2ico)
	IF(CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MINOR_VERSION GREATER 4)
  		EXPORT(TARGETS png2ico FILE ${CMAKE_BINARY_DIR}/ImportExecutables.cmake )
	ENDIF(CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MINOR_VERSION GREATER 4)
ENDIF(CMAKE_CROSSCOMPILING)

SET(ICO_FILES)
FILE(GLOB PNG_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.png)
FOREACH(PNG_FILE ${PNG_FILES})
	GET_FILENAME_COMPONENT(ICO_FILE ${PNG_FILE} NAME_WE)
	SET(ICO_FILE ${ICO_FILE}.ico)
	ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${ICO_FILE}
					   COMMAND ${PNG2ICO_COMMAND} ${CMAKE_CURRENT_BINARY_DIR}/${ICO_FILE}
												  ${CMAKE_CURRENT_SOURCE_DIR}/${PNG_FILE}
					   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${PNG_FILE}
					  )
	LIST(APPEND ICO_FILES ${CMAKE_CURRENT_BINARY_DIR}/${ICO_FILE})
ENDFOREACH(PNG_FILE ${PNG_FILES})
ADD_CUSTOM_TARGET(icons DEPENDS ${ICO_FILES})
ADD_DEPENDENCIES(icons png2ico)

IF(NOT WINDRESS_COMMAND)
	SET(WINDRESS_COMMAND "${_CMAKE_TOOLCHAIN_PREFIX}windres" CACHE INTERNAL "The MinGW resource compiler.")
ENDIF(NOT WINDRESS_COMMAND)

SET(COFF_FILES)
FILE(GLOB RC_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.rc)
FOREACH(RC_FILE ${RC_FILES})
	GET_FILENAME_COMPONENT(COFF_FILE ${RC_FILE} NAME_WE)
	SET(COFF_FILE ${COFF_FILE}.coff)
	ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${COFF_FILE}
					   COMMAND ${WINDRESS_COMMAND} -o ${CMAKE_CURRENT_BINARY_DIR}/${COFF_FILE}
												   -i ${CMAKE_CURRENT_SOURCE_DIR}/${RC_FILE}
					   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${RC_FILE}
					  )
	LIST(APPEND COFF_FILES ${CMAKE_CURRENT_BINARY_DIR}/${COFF_FILE})
ENDFOREACH(RC_FILE ${RC_FILES})
ADD_CUSTOM_TARGET(resources DEPENDS ${COFF_FILES})
ADD_DEPENDENCIES(resources icons)

## freedroidrpg 0.13

=== lua/Makefile ===
# makefile for building Lua
# see ../INSTALL for installation instructions
# see ../Makefile and luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC= gcc
CFLAGS= -O2 -Wall $(MYCFLAGS)
AR= ar rcu
RANLIB= ranlib
RM= rm -f
LIBS= -lm $(MYLIBS)

MYCFLAGS=
MYLDFLAGS=
MYLIBS=

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
	lundump.o lvm.o lzio.o
LIB_O=	lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
	lstrlib.o loadlib.o linit.o

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o print.o

ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(CORE_O) $(LIB_O)
	$(AR) $@ $?
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c print.c

echo:
	@echo "PLAT = $(PLAT)"
	@echo "CC = $(CC)"
	@echo "CFLAGS = $(CFLAGS)"
	@echo "AR = $(AR)"
	@echo "RANLIB = $(RANLIB)"
	@echo "RM = $(RM)"
	@echo "MYCFLAGS = $(MYCFLAGS)"
	@echo "MYLDFLAGS = $(MYLDFLAGS)"
	@echo "MYLIBS = $(MYLIBS)"

# convenience targets for popular platforms

none:
	@echo "Please choose a platform:"
	@echo "   $(PLATS)"

aix:
	$(MAKE) all CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl" MYLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) all MYCFLAGS=-DLUA_ANSI

bsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-Wl,-E"

freebsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_LINUX" MYLIBS="-Wl,-E -lreadline"

generic:
	$(MAKE) all MYCFLAGS=

linux:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"

macosx:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-lreadline"
# use this on Mac OS X 10.3-
#	$(MAKE) all MYCFLAGS=-DLUA_USE_MACOSX

mingw:
	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=i686-pc-mingw32-strip --strip-unneeded" \
	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe
	$(MAKE) "LUAC_T=luac.exe" luac.exe

posix:
	$(MAKE) all MYCFLAGS=-DLUA_USE_POSIX

solaris:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h lobject.h llimits.h ldebug.h \
  lstate.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h \
  lundump.h lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lgc.h \
  ltable.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h lobject.h llimits.h lcode.h \
  llex.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h lstring.h \
  ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h lmem.h \
  lstate.h ltm.h lzio.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h
loadlib.o: loadlib.c lua.h luaconf.h lauxlib.h lualib.h
lobject.o: lobject.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h \
  ltm.h lzio.h lmem.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h llex.h lstring.h ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
  ltm.h lzio.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lgc.h ltable.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
  lmem.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h ldo.h lobject.h llimits.h \
  lstate.h ltm.h lzio.h lmem.h lfunc.h lopcodes.h lstring.h lgc.h \
  lundump.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
  llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
  lzio.h
print.o: print.c ldebug.h lstate.h lua.h luaconf.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lopcodes.h lundump.h

# (end of Makefile)

## freedroidrpg 0.15.1

=== graphics/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# graphics/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/freedroidrpg
pkgincludedir = $(includedir)/freedroidrpg
pkglibdir = $(libdir)/freedroidrpg
pkglibexecdir = $(libexecdir)/freedroidrpg
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = graphics
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
	$(top_srcdir)/m4/ax_check_gl.m4 \
	$(top_srcdir)/m4/ax_lang_compiler_ms.m4 \
	$(top_srcdir)/m4/lua.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/sdl.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DATA = $(noinst_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/freedroid/buildbot/tarball_packager/build/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/freedroid/buildbot/tarball_packager/build/missing --run tar
AUTOCONF = ${SHELL} /home/freedroid/buildbot/tarball_packager/build/missing --run autoconf
AUTOHEADER = ${SHELL} /home/freedroid/buildbot/tarball_packager/build/missing --run autoheader
AUTOMAKE = ${SHELL} /home/freedroid/buildbot/tarball_packager/build/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2  -Wall -Wno-format-zero-length  -DFD_DATADIR='"$(pkgdatadir)"' -ffast-math -I/usr/include/lua5.1   -I/usr/include/lua5.1   -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GL_CFLAGS = 
GL_LIBS = -lGL  -lm
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS =  -rdynamic
LIBOBJS = 
LIBS = -lvorbis -logg -lSDL_mixer -lSDL_gfx -lSDL_image -lpng -lz -ljpeg -lm  -llua5.1   -L/usr/lib -lSDL -lGL  -lm
LTLIBOBJS = 
LUA_CFLAGS = -I/usr/include/lua5.1  
LUA_CONFIG = 
LUA_LIBS = -llua5.1  
MAKEINFO = ${SHELL} /home/freedroid/buildbot/tarball_packager/build/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = freedroidrpg
PACKAGE_BUGREPORT = 
PACKAGE_NAME = freedroidRPG
PACKAGE_STRING = freedroidRPG 0.15.1
PACKAGE_TARNAME = freedroidrpg
PACKAGE_URL = 
PACKAGE_VERSION = 0.15.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.15.1
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/freedroid/buildbot/tarball_packager/build/graphics
abs_srcdir = /home/freedroid/buildbot/tarball_packager/build/graphics
abs_top_builddir = /home/freedroid/buildbot/tarball_packager/build
abs_top_srcdir = /home/freedroid/buildbot/tarball_packager/build
ac_ct_CC = gcc
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/freedroid/buildbot/tarball_packager/build/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
noinst_DATA = obstacles/atlas.txt obstacles/shadow_atlas.txt floor_tiles/atlas.txt
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu graphics/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu graphics/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am


obstacles/atlas.txt: obstacles/iso_*.png obstacles/iso_*.offset
	cd obstacles; ./../../gluem/make_atlas obstacles_atlas 2048 2048 atlas.txt iso_*.png

obstacles/shadow_atlas.txt: obstacles/shadow_*.png obstacles/shadow_*.offset
	cd obstacles; ./../../gluem/make_atlas obstacles_shadows_atlas 2048 1024 shadow_atlas.txt shadow_*.png

floor_tiles/atlas.txt: floor_tiles/iso_*.png floor_tiles/iso_*.offset
	cd floor_tiles; ./../../gluem/make_atlas floor_tiles_atlas 2048 1024 atlas.txt iso_*.png

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== lua/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 RANLIB= ranlib
 RM= rm -f
 LIBS= -lm $(MYLIBS)
+STRIP = strip
 
 MYCFLAGS=
 MYLDFLAGS=
@@ -69,6 +70,7 @@
 	@echo "CFLAGS = $(CFLAGS)"
 	@echo "AR = $(AR)"
 	@echo "RANLIB = $(RANLIB)"
+	@echo "STRIP = $(STRIP)"
 	@echo "RM = $(RM)"
 	@echo "MYCFLAGS = $(MYCFLAGS)"
 	@echo "MYLDFLAGS = $(MYLDFLAGS)"
@@ -105,7 +107,7 @@
 
 mingw:
 	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
-	"AR=$(CC) -shared -o" "RANLIB=i686-pc-mingw32-strip --strip-unneeded" \
+	"AR=$(CC) -shared -o" "RANLIB=$(STRIP) --strip-unneeded" \
 	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe
 	$(MAKE) "LUAC_T=luac.exe" luac.exe

=== debian/changelog ===
freedroidrpg (0.15.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format, debhelper 8, no cdbs.
  * debian/control: Build-Depends: libsdl-gfx1.2-dev, libjpeg-dev, libz-dev,
    libpng-dev.
  * debian/control: Removed Build-Depends: automake1.9.
  * debian/control: Depends: freedroidrpg-data (= ...).  Closes: #629268.
  * debian/control: Fixed description-synopsis-starts-with-article.

 -- Bart Martens <bartm@debian.org>  Sat, 05 May 2012 09:17:47 +0000

freedroidrpg (0.14.1-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Mon, 27 Dec 2010 15:56:46 +0000

freedroidrpg (0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/freedroidrpg.manpages: Removed.
  * Removed obsolete patches:
    + debian/patches/01_array_bounds.diff
    + debian/patches/04_call_for_contrib.diff
    + debian/patches/09_druidname.diff
    + debian/patches/09_druidname.diff.DISABLED
    + debian/patches/13_resolution.diff.DISABLED
    + debian/patches/16_cookies.diff.DISABLED
    + debian/patches/19_chat_text.diff.DISABLED
    + debian/patches/24_no_editor.diff.DISABLED
    + debian/patches/25_out_of_map.diff.DISABLED
  * Updated to fit new upstream release:
    + debian/patches/07_framerate.diff
    + debian/patches/17_debianize.diff
    + debian/patches/20_enter_keys.diff
  * debian/patches/27_debug.diff: Added.  Reduces output on stdout/stderr.

 -- Bart Martens <bartm@debian.org>  Sat, 27 Feb 2010 17:26:08 +0100

freedroidrpg (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * To fit new upstream release:
    + debian/patches/13_resolution.diff: Disabled.
    + debian/patches/17_debianize.diff: Updated.
    + debian/patches/26_credits.diff: Removed.
  * debian/rules: Removed testcoding and simplified.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@debian.org>  Sat, 25 Apr 2009 16:36:07 +0200

freedroidrpg (0.11.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/11_debug.diff: Removed.
  * debian/patches/18_droid_drives.diff: Removed.
  * debian/patches/21_newtown.diff: Removed.
  * debian/patches/22_end_dialog.diff: Removed.
  * debian/patches/23_later.diff: Removed.
  * debian/patches/01_array_bounds.diff: Updated.
  * debian/patches/04_call_for_contrib.diff: Updated.
  * debian/patches/07_framerate.diff: Updated.
  * debian/patches/09_druidname.diff: Partially updated, partially disabled.
  * debian/patches/13_resolution.diff: Updated.
  * debian/patches/16_cookies.diff: Disabled.
  * debian/patches/17_debianize.diff: Updated.
  * debian/patches/19_chat_text.diff: Disabled.
  * debian/patches/20_enter_keys.diff: Updated.
  * debian/patches/24_no_editor.diff: Disabled.  So the level editor is back.
  * debian/patches/25_out_of_map.diff: Disabled.
  * debian/patches/26_credits.diff: Added.
  * debian/control: Standards-Version.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Sun, 28 Sep 2008 18:43:04 +0200

freedroidrpg (0.10.3-3) unstable; urgency=low

  * debian/patches/24_no_editor.diff: Added, to hide the crashing map editor.
    Closes: #458178, #444553, #458066.
  * debian/patches/25_out_of_map.diff: Added, to prevent going out of the map.
    Closes: #447434.

 -- Bart Martens <bartm@debian.org>  Sat, 29 Dec 2007 12:27:25 +0100

freedroidrpg (0.10.3-2) unstable; urgency=low

  * debian/patches/04_call_for_contrib.diff: Updated.
  * debian/patches/13_resolution.diff: Added resolutions.
  * debian/patches/20_enter_keys.diff: Fixes enter key on some keyboards.
  * debian/patches/21_newtown.diff: Added.  Closes: #447362, #445487.
  * debian/patches/22_end_dialog.diff: Added.  Fixes endless dialog.
  * debian/patches/23_later.diff: Added.  Closes: #447355.
  * debian/rules: Updated, to remove empty directories.

 -- Bart Martens <bartm@debian.org>  Sun, 14 Oct 2007 23:38:09 +0200

freedroidrpg (0.10.3-1) unstable; urgency=low

  * New upstream release.  Closes: #442324.
  * debian/freedroidrpg-data.install, debian/rules: Install in
    /usr/share/games.  Closes: #437755.
  * debian/freedroidrpg.desktop: Updated "Categories".  Closes: #442325.
  * debian/patches/*: Updated to fit new upstream release.
  * debian/patches/18_droid_drives.diff: Fixes regression.
  * debian/patches/19_chat_text.diff: Fixes regression.
  * debian/rules: Don't install speak.py.

 -- Bart Martens <bartm@knars.be>  Sat, 15 Sep 2007 11:55:58 +0200

freedroidrpg (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/07_framerate.diff: Updated.
  * debian/patches/11_debug.diff: Updated.
  * debian/patches/13_resolution.diff: Updated.

 -- Bart Martens <bartm@knars.be>  Wed, 04 Jul 2007 19:43:32 +0200

freedroidrpg (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_array_bounds.diff: Updated.
  * debian/patches/02_textures.diff: Removed.
  * debian/patches/03_male_greeting.diff: Removed.
  * debian/patches/04_call_for_contrib.diff: Updated.
  * debian/patches/10_typo.diff: Removed.
  * debian/patches/11_debug.diff: Updated.
  * debian/patches/12_play.diff: Removed.
  * debian/patches/14_audio_rate.diff: Removed.
  * debian/patches/15_negative_z.diff: Removed.
  * debian/patches/16_cookies.diff: Added.  Fixes a bug with the trailing
    colon in cookies confusing the dialogs.

 -- Bart Martens <bartm@knars.be>  Sun, 11 Feb 2007 09:41:07 +0100

freedroidrpg (0.10.0+d070110-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/freedroidrpg.desktop, debian/freedroidrpg.menu: Mouse-over text.
  * debian/patches/01_no_voice_sample.diff: Removed obsolete patch.
  * debian/patches/01_array_bounds.diff: Check array bounds.
  * debian/patches/02_textures.diff: Fix crash "Ran out of...".
  * debian/patches/03_male_greeting.diff: No male greetings by females.
  * debian/patches/04_call_for_contrib.diff: Don't call for contributions
    during the game, but use reasonable general default values.


=== debian/control ===
Source: freedroidrpg
Section: games
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-mixer1.2-dev, libsdl-gfx1.2-dev, libvorbis-dev, libjpeg-dev, libz-dev, libpng-dev
Standards-Version: 3.9.3
Homepage: http://freedroid.sourceforge.net/

Package: freedroidrpg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freedroidrpg-data (= ${source:Version})
Description: Isometric RPG influenced by Paradroid
 Freedroid RPG is an RPG with isometric graphics. In it, the player
 is Tux, who must fight rebelling robots in order to restore peace to 
 humankind. To do so,Tux may take over robots in a minigame based off the 
 classic game Paradroid, or may simply blast them to pieces with a weapon.
 .
 Note that this is not the same game as Freedroid, also available in Debian.

Package: freedroidrpg-data
Architecture: all
Depends: ${misc:Depends}
Description: Data files for freedroidrpg
 Freedroid RPG is an RPG with isometric graphics. In it, the player
 is Tux, who must fight rebelling robots in order to restore peace to 
 humankind. To do so,Tux may take over robots in a minigame based off the 
 classic game Paradroid, or may simply blast them to pieces with a weapon.
 .
 Note that this is not the same game as Freedroid, also available in Debian.

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
http://sf.net/freedroid/freedroid(?i:RPG)[\-_](v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)

## freedroidrpg 0.16.1

=== debian/changelog ===
freedroidrpg (0.16.1-3) unstable; urgency=medium

  * Bump standards-version to 4.1.1.
  * Bump d/watch to version 4.
  * Add patch to update the appstream files.
  * Switch d/watch to use gitlab.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 18 Oct 2017 13:20:09 +0200

freedroidrpg (0.16.1-2) unstable; urgency=medium

  * Added a breaks+replace on because the manpage moved off the -data
  package (Closes: #846783).
  * Declared -data as Multi-Arch: foreign following hint.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 04 Dec 2016 13:19:18 +0100

freedroidrpg (0.16.1-1) unstable; urgency=medium

  * Updated d/watch to the new upstream.
  * Updated to new upstream release. (Closes: #799743)
    + The editor is now part of the game. (Closes: #460677)
    + Upstream fixed clang building. (Closes: #758161)
  * Added myself as uploader. (Closes: #826921)
  * Put Debian Games Team as maintainer.
  * Updated standards-version to 3.9.8.
  * Added Vcs-* fields.
  * Updated dh compat to 10.
  * Updated the following Debian patches:
    + 17_debianize.diff
    + 20_enter_keys.diff
    + 27_debug.diff.
  * Added new Debian patches:
    + 01_no_headless_check.diff.
    + 02_accept_mawk.diff.
    + 03_fix_desktop_file.diff.
    + 04_add_keywords_to_desktop_file.diff.
    + 05_fix_manpage.diff.
  * Rewrote debian/copyright, following copyright-format 1.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 11 Nov 2016 14:15:08 +0100

=== debian/control ===
Source: freedroidrpg
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Build-Depends: debhelper (>= 10),
               libjpeg-dev,
               libpng-dev,
               libsdl-gfx1.2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-net1.2-dev,
               libsdl1.2-dev,
               libvorbis-dev,
               libz-dev
Standards-Version: 4.1.1
Homepage: http://freedroid.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/freedroidrpg.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-games/freedroidrpg.git

Package: freedroidrpg
Architecture: any
Depends: freedroidrpg-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: freedroidrpg-data (<< 0.16)
Replaces: freedroidrpg-data (<< 0.16)
Description: Isometric RPG influenced by Paradroid
 Freedroid RPG is an RPG with isometric graphics. In it, the player
 is Tux, who must fight rebelling robots in order to restore peace to
 humankind. To do so,Tux may take over robots in a minigame based off the
 classic game Paradroid, or may simply blast them to pieces with a weapon.
 .
 Note that this is not the same game as Freedroid, also available in Debian.

Package: freedroidrpg-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: freedroidrpg
Description: Data files for freedroidrpg
 Freedroid RPG is an RPG with isometric graphics. In it, the player
 is Tux, who must fight rebelling robots in order to restore peace to
 humankind. To do so,Tux may take over robots in a minigame based off the
 classic game Paradroid, or may simply blast them to pieces with a weapon.
 .
 Note that this is not the same game as Freedroid, also available in Debian.
 .
 This package provides the data files for the game.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games

override_dh_auto_install:
	dh_auto_install
	# this script is for dialogs writers, not users
	rm -f debian/tmp/usr/share/freedroidrpg/dialogs/adapt_to_FDtux

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
https://gitlab.com/freedroid/freedroid-src/tags?sort=updated_desc .*/([\d.]+)/archive.tar.gz
